hOpenPGP-2.5.5: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | None
Language | Haskell2010

Codec.Encryption.OpenPGP.SecretKey

Synopsis

- decryptPrivateKey :: (PKPayload, SKAddendum) -> ByteString -> SKAddendum
- encryptPrivateKey :: ByteString -> IV -> SKAddendum -> ByteString -> SKAddendum
- encryptPrivateKeyIO :: SKAddendum -> ByteString -> IO SKAddendum
- reencryptSecretKeyIO :: SecretKey -> ByteString -> IO SecretKey

# Documentation

decryptPrivateKey :: (PKPayload, SKAddendum) -> ByteString -> SKAddendum #

encryptPrivateKey :: ByteString -> IV -> SKAddendum -> ByteString -> SKAddendum #

8-octet salt, IV must be length of cipher blocksize

encryptPrivateKeyIO :: SKAddendum -> ByteString -> IO SKAddendum #

generates pseudo-random salt and IV

reencryptSecretKeyIO :: SecretKey -> ByteString -> IO SecretKey #